#!/bin/bash

ulimit -s unlimited 

phys=lmd

para=mpi_omp
para=seq
para=mpi

gcm=ce0l
gcm=gcm

dyn=""
dyn=mem

resol=96x95x39

opt="-debug"
opt=""

mkdir -p bin
if [ "$dyn" = "mem" ] ; then
   opt="-mem $opt"
fi
suf=`echo $opt $para | sed -e 's/ /_/g' -e 's/-//g'`
modele=${gcm}_${resol}_phy${phys}_$suf.e


\rm -f ${gcm}.e bin/$modele
if [ $para = seq ] ; then
   ./makelmdz -v true $opt -p $phys -d ${resol} -arch local ${gcm}
else
   ./makelmdz -v true -p $phys -d ${resol} $opt -parallel $para -arch local-$para ${gcm}
fi
mv ${gcm}.e bin/$modele
